Skip to main content
`Ctrl`+`K`

# PetscCallMPIAbort

Like `PetscCallMPI()` but calls `MPI_Abort()` on error

## Synopsis

    #include <petscsys.h>
    void PetscCallMPIAbort(MPI_Comm comm, MPI_Function(args))

Not Collective

## Input Parameters

- comm - the MPI communicator to abort on

- MPI_Function - an MPI function that returns an MPI error code

## Notes

Usage is identical to `PetscCallMPI()`. See `PetscCallMPI()` for detailed discussion.

This routine may be used in functions returning `void` or other non-`PetscErrorCode` types.

## Fortran Note

In Fortran this is called `PetscCallMPIA()` and is intended to be used in the main program while `PetscCallMPI()` is used in Fortran subroutines.

## Developer Note

This should have the same name in Fortran.

## See Also

`PetscCallMPI()`, `PetscCallAbort()`, `SETERRABORT()`

## Level

beginner

## Location

include/petscerror.h

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages